package com.bocloud.ims.interfaces.resource.azure.automation;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.resource.azure.automation.AutomationAccount;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: AutomationAccoutService
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2020/8/10 11:24
 */
public interface AutomationAccoutService {

    BocloudResult<GridBean<AutomationAccount>> list(Pager pager, RequestContext context);

    BocloudResult<AutomationAccount> detail(Long id, RequestContext context);

    BocloudResult<Void> modify(AutomationAccount entityParams, RequestContext context);

    BocloudResult<Void> create(AutomationAccount entityParams, RequestContext context);

    BocloudResult<Void> remove(Long id, RequestContext context);

    //星巴克poc专用---------------------------------
    BocloudResult list(String params);

    BocloudResult detail(String params);

    BocloudResult remove(String params);

    BocloudResult getStatusCounts(String params);

    BocloudResult softwareUpdateConfigurationMachineRuns(String params);

    BocloudResult hybridRunbookWorkerGroups(String params);


}